Subject: Chicago TI International World Faire

From: [email-masked]
Date: 15 Oct 2015 14:48:27 -0700

People may have wondered why  I haven't been writing much about the Faire lately.  The short answer is computer problems.  I am once again able to access Yahoo, so I guess I should remind everyone that the Faire will take place on October 31, at the Evanston Public Library, in Evanston, Illinois, beginning at 9:30 a.m. and lasting until about 5 p.m.  Afterwards there will be a banquet and presentations at a local restaurant.  The Infamous Pub Crawl will follow the banquet.  Survivors (if any) will meet for breakfast at a local greasy spoon to be determined.  There will be an informal dinner for those arriving early Friday, and is usually held at "Tommy Nevins Pub."  More info later.  Hotel information is on our website,but most have indicated they are staying at the "Best Western University Plaza Hotel," just two blocks from the Library.  Since the Faire will be on Halloween, you can come in costume if you choose.  --Hal